Subject: Re: Bug report : bad filter-branch (OSX only)

From: Jeff King <[email-masked]>
Date: Wed, 29 Apr 2015 00:39:47 -0400

On Tue, Apr 28, 2015 at 01:02:17PM +0200, Olivier ROLAND wrote:

> Both versions are builded from source.
> head -1 "$(git --exec-path)/git-filter-branch"
> #!/bin/sh
> 
> sh --version
> GNU bash, version 3.2.57(1)-release (x86_64-apple-darwin14)
> Copyright (C) 2007 Free Software Foundation, Inc.
> 
> /bin/bash --version
> GNU bash, version 4.1.5(1)-release (x86_64-pc-linux-gnu)
> 
> The bug seem really git related.

Yes, but I guessed it might be part of the filter-branch shell script
that behaves differently under two different shells (i.e., that we used
some unportable construct). However, I built bash 3.2.57 on my Linux box
and could not replicate the problem.

The other "usual" thing that causes bugs to show up on OS X but not
Linux is case-folding. But you said you are using a case-sensitive
filesystem, so it's probably not that.

So I can't figure out how to replicate the problem here.

-Peff